public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libsigc++/
Date: Sat,  4 Apr 2020 12:07:01 +0000 (UTC)	[thread overview]
Message-ID: <1586002010.6c6e361d942912511a9e4def80b1b1741671ebed.leio@gentoo> (raw)

commit:     6c6e361d942912511a9e4def80b1b1741671ebed
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  4 12:06:40 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Apr  4 12:06:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c6e361d

dev-libs/libsigc++: bump to 2.10.3

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-libs/libsigc++/Manifest                |  1 +
 dev-libs/libsigc++/libsigc++-2.10.3.ebuild | 55 ++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-libs/libsigc++/Manifest b/dev-libs/libsigc++/Manifest
index 13b5024fdd1..0b2dd87dbdf 100644
--- a/dev-libs/libsigc++/Manifest
+++ b/dev-libs/libsigc++/Manifest
@@ -1,2 +1,3 @@
 DIST libsigc++-1.2.7.tar.bz2 326205 BLAKE2B b316460178224c0b8177ce9a236c69a8b737bf7356b290b59eaeb60b09285c61d113bfc7de89bd712c3c049a492f5cc36d205ac77816aff73e587e8a42ade520 SHA512 79fd9657219459bce64fc069dbcb054959e324b5d546b5f11acaae5e5bedcc4dca699a21c949e3f6b2ec0dbe1c3dba3981158e5950d0aaba5028445b2ad5740f
 DIST libsigc++-2.10.1.tar.xz 4062388 BLAKE2B 3bd988acae78b7d463c966fa5c8da68b35d8a0b0bf4762811b7a9fdf82357b29aaa48d64e19f4cb6bd0f42ee70ad77a64a4905d1ad609dbe11ca8ff7596527c6 SHA512 e2bd7b1a97019be010dee1594271bbf7cae92b28e31dcb3c6d7d60643a0996233f0a75a9337b4afcb5b7dc453bfc3159d82f6daacfbcd8993a39ccecaf811bb2
+DIST libsigc++-2.10.3.tar.xz 4558428 BLAKE2B fcaaae7bf3a3aea30c0b8b63d7a7c5fa137d16128ef9652b611613118e323f7bcabafe28d42407df0e08c323c540143c152ac91e04e9f101c1971ddaf0f9144c SHA512 3c7f90be84724e39073c05624ad2bee6a5835e2c6cb6cf9e605edc6574eb7cd99ec153aaca6e8fcf7e3a6c031c4e9c334da32d04177d36788e64a17667c70b4e

diff --git a/dev-libs/libsigc++/libsigc++-2.10.3.ebuild b/dev-libs/libsigc++/libsigc++-2.10.3.ebuild
new file mode 100644
index 00000000000..a74aef48138
--- /dev/null
+++ b/dev-libs/libsigc++/libsigc++-2.10.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 flag-o-matic multilib-minimal
+
+DESCRIPTION="Typesafe callback system for standard C++"
+HOMEPAGE="http://libsigc.sourceforge.net/"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="sys-devel/m4
+	doc? ( app-doc/doxygen )
+	test? ( dev-libs/boost[${MULTILIB_USEDEP}] )"
+# Needs mm-common for eautoreconf
+
+src_prepare() {
+	# don't waste time building examples
+	sed -i 's|^\(SUBDIRS =.*\)examples\(.*\)$|\1\2|' \
+		Makefile.am Makefile.in || die "sed examples failed"
+
+	# don't waste time building tests unless USE=test
+	if ! use test ; then
+		sed -i 's|^\(SUBDIRS =.*\)tests\(.*\)$|\1\2|' \
+			Makefile.am Makefile.in || die "sed tests failed"
+	fi
+
+	gnome2_src_prepare
+}
+
+multilib_src_configure() {
+	filter-flags -fno-exceptions #84263
+
+	ECONF_SOURCE="${S}" gnome2_src_configure \
+		$(multilib_native_use_enable doc documentation) \
+		$(use_enable static-libs static) \
+		$(use_enable test benchmark)
+}
+
+multilib_src_install() {
+	gnome2_src_install
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	# Note: html docs are installed into /usr/share/doc/libsigc++-2.0
+	# We can't use /usr/share/doc/${PF} because of links from glibmm etc. docs
+	use doc && dodoc -r examples
+}


             reply	other threads:[~2020-04-04 12:07 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-04 12:07 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13 10:37 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libsigc++/ Mart Raudsepp
2024-04-09 22:46 Sam James
2024-04-07  9:14 Arthur Zamarin
2024-04-07  8:38 Arthur Zamarin
2024-04-07  6:21 Arthur Zamarin
2023-10-08 10:30 Pacho Ramos
2023-02-17  8:23 Arthur Zamarin
2023-02-17  8:23 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2022-12-24  2:16 Matt Turner
2022-12-24  2:11 Matt Turner
2022-11-12  6:01 WANG Xuerui
2022-10-30  1:50 Matt Turner
2022-09-24  3:43 Matt Turner
2022-09-24  3:43 Matt Turner
2022-05-19  5:08 WANG Xuerui
2022-04-18 20:48 Jakov Smolić
2022-03-15 20:54 Matt Turner
2022-03-09 15:39 Sam James
2022-03-09 12:49 Sam James
2022-03-08 12:32 Sam James
2022-02-12  3:48 Matt Turner
2022-01-02 10:54 Jakov Smolić
2021-08-12  3:10 Yixun Lan
2021-05-28 19:18 Sam James
2021-05-22  2:27 Matt Turner
2021-05-22  2:27 Matt Turner
2021-04-13 15:00 Sam James
2021-04-12 23:11 Sam James
2021-04-12 16:02 Sam James
2021-03-30 17:49 Andreas Sturmlechner
2021-03-15 18:06 Sergei Trofimovich
2021-01-18 21:10 Matt Turner
2020-09-21 21:31 Conrad Kostecki
2020-09-18  7:44 Sergei Trofimovich
2020-09-18  6:48 Sergei Trofimovich
2020-06-28 20:30 Agostino Sarubbo
2020-06-25 18:14 Sergei Trofimovich
2019-02-28 15:35 Mikle Kolyada
2019-02-26 21:19 Sergei Trofimovich
2019-02-17 21:05 Mikle Kolyada
2019-02-17 17:14 Sergei Trofimovich
2019-02-17 17:08 Sergei Trofimovich
2019-02-17 16:57 Sergei Trofimovich
2019-02-16  6:08 Mikle Kolyada
2019-02-15 15:46 Thomas Deutschmann
2019-02-14 22:09 Sergei Trofimovich
2018-10-31 13:17 Mart Raudsepp
2017-07-07 21:20 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-06-12 10:07 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2016-12-06 20:05 Markus Meier
2016-11-01 23:58 Gilles Dartiguelongue
2016-05-03 19:27 Markus Meier
2016-03-16 14:09 Agostino Sarubbo
2015-11-14 13:48 Pacho Ramos
2015-11-14 13:48 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586002010.6c6e361d942912511a9e4def80b1b1741671ebed.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox